﻿import { Component, Input, Output, EventEmitter, trigger, style, animate, transition, ChangeDetectorRef } from "@angular/core";

@Component({
    selector: "google-maps",
    //#region template:
    templateUrl: "app/common/node_modules/ng2-mobileTech/googleMaps.html",
    // #endregion
    //#region styles:
    styleUrls: ["app/common/node_modules/ng2-mobileTech/googleMaps.css"],
    // #endregion
})
    // this will continue to look like an error until we add it to a module. However the project will still compile.
export class ModuleFeature {
    @Input() isClosable = true;
    @Input() isVisible: boolean;
    @Input() textToSpeak: string;
    @Input() owner: any;
    @Input() onChangeCallback: string;
    @Output() visibleChange = new EventEmitter<boolean>();

    private initalized = false;
    private t2sOn = false;
    private t2sPaused = false;
    private t2s: any;
    private startButtonLabel: string;

    constructor(private readonly cd: ChangeDetectorRef) {
    }

    private ngAfterViewInit() {
        setTimeout(() => {
            this.initalized = true;
        }, 500);
    }

    private ngOnChanges() {
        if (!this.initalized)
            return;

    }

    private ngOnDestroy() {

    }
}